> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Brand SMS OTP

> Verify the SMS OTP (One-Time Password) for Sole Proprietor brand verification.

**Verification Flow:**

1. User receives OTP via SMS after triggering
2. User submits the OTP pin through this endpoint
3. Upon successful verification:
   - A `BRAND_OTP_VERIFIED` webhook event is sent to the CSP
   - The brand's `identityStatus` changes to `VERIFIED`
   - Campaigns can now be created for this brand

**Error Handling:**

Provides proper error responses for:
* Invalid OTP pins
* Expired OTPs
* OTP verification failures



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/messaging-10dlc/brands.yml put /10dlc/brand/{brandId}/smsOtp
openapi: 3.1.0
info:
  title: Telnyx 10DLC Brands API
  version: 2.0.0
  description: API for 10DLC brand management.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /10dlc/brand/{brandId}/smsOtp:
    put:
      tags:
        - Brands
      summary: Verify Brand SMS OTP
      description: >-
        Verify the SMS OTP (One-Time Password) for Sole Proprietor brand
        verification.


        **Verification Flow:**


        1. User receives OTP via SMS after triggering

        2. User submits the OTP pin through this endpoint

        3. Upon successful verification:
           - A `BRAND_OTP_VERIFIED` webhook event is sent to the CSP
           - The brand's `identityStatus` changes to `VERIFIED`
           - Campaigns can now be created for this brand

        **Error Handling:**


        Provides proper error responses for:

        * Invalid OTP pins

        * Expired OTPs

        * OTP verification failures
      operationId: VerifyBrandSmsOtp
      parameters:
        - required: true
          schema:
            title: Brandid
            type: string
            example: 4b20019b-043a-78f8-0657-b3be3f4b4002
          name: brandId
          in: path
          description: The Brand ID for which to verify the OTP
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VerifyBrandSmsOtpRequest'
        required: true
      responses:
        '204':
          description: OTP verified successfully - No content returned
        '400':
          description: Bad Request - Invalid or expired OTP
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        4XX:
          $ref: '#/components/responses/10dlc_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            await
            client.messaging10dlc.brand.verifySMSOtp('4b20019b-043a-78f8-0657-b3be3f4b4002',
            {
              otpPin: '123456',
            });
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            client.messaging_10dlc.brand.verify_sms_otp(
                brand_id="4b20019b-043a-78f8-0657-b3be3f4b4002",
                otp_pin="123456",
            )
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\terr := client.Messaging10dlc.Brand.VerifySMSOtp(\n\t\tcontext.TODO(),\n\t\t\"4b20019b-043a-78f8-0657-b3be3f4b4002\",\n\t\ttelnyx.Messaging10dlcBrandVerifySMSOtpParams{\n\t\t\tOtpPin: \"123456\",\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.messaging10dlc.brand.BrandVerifySmsOtpParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    BrandVerifySmsOtpParams params = BrandVerifySmsOtpParams.builder()
                        .brandId("4b20019b-043a-78f8-0657-b3be3f4b4002")
                        .otpPin("123456")
                        .build();
                    client.messaging10dlc().brand().verifySmsOtp(params);
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            result =
            telnyx.messaging_10dlc.brand.verify_sms_otp("4b20019b-043a-78f8-0657-b3be3f4b4002",
            otp_pin: "123456")


            puts(result)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $result = $client->messaging10dlc->brand->verifySMSOtp(
                '4b20019b-043a-78f8-0657-b3be3f4b4002', otpPin: '123456'
              );

              var_dump($result);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx messaging-10dlc:brand verify-sms-otp \
              --api-key 'My API Key' \
              --brand-id 4b20019b-043a-78f8-0657-b3be3f4b4002 \
              --otp-pin 123456
components:
  schemas:
    VerifyBrandSmsOtpRequest:
      title: VerifyBrandSmsOtpRequest
      required:
        - otpPin
      type: object
      properties:
        otpPin:
          title: Otppin
          type: string
          description: The OTP PIN received via SMS
          example: '123456'
          minLength: 4
          maxLength: 10
      description: Request body for verifying a Brand SMS OTP
    HTTPValidationError:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    ValidationError:
      title: ValidationError
      required:
        - loc
        - msg
        - type
      type: object
      properties:
        loc:
          title: Location
          type: array
          items:
            anyOf:
              - type: string
              - type: integer
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
    10dlc_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/10dlc_Error'
      type: object
    10dlc_Error:
      required:
        - code
        - title
      type: object
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
  responses:
    10dlc_GenericErrorResponse:
      description: Generic response error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/10dlc_Errors'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````